Start authentication flow

GET /auth/start

Starts login through the account app when configured, or directly through the identity provider for local deployments.

Query parameters

  • post_login_uri string

    Post-login redirect URI

  • n string

    Relative UI route to restore after Account login

  • signedOut string

    Forward signed-out state to the account app

Responses

  • 302 application/json

    Redirect to account app or identity provider

  • 400 application/json

    Bad Request

    Additional properties are allowed.

  • 500 application/json

    Internal Server Error

    Additional properties are allowed.

GET /auth/start
curl \
 --request GET 'https://agentengine.mongodb.com/auth/start' \
 --header "Authorization: $API_KEY"
Response examples (302)
string
Response examples (400)
{}
Response examples (500)
{}